@import '../base';

.page-add-food {
  font-size: 0.9rem;

  .the-container {
    > .beh-loading:after {
      background-color: rgba(black, 0.2);
      border-radius: 5px;
    }
  }

  .page-header {
    padding: 30px 20px;

    .progress {
      direction: ltr;
      border-radius: 20px;
      margin-top: 10px;
      height: 10px;

      .progress-bar {
        border-radius: inherit;
      }
    }
  }

  .meals-list {
    min-height: 300px;
    margin-top: -40px;

    .card {
      box-shadow: 0 2px 2px rgba(0, 0, 0, 0.09);
      padding: 0 10px;

      .card-header {
        padding: 5px 0;
        background: white;
        color: black;

        .title {
          font-weight: 500;
        }

        .icon {
          color: $red;
          font-size: 1.6rem;
          display: inline-block;
          width: 26px;
        }

        .sum {
          float: left;
          font-size: 0.8rem;
        }
      }

      .card-body {
        padding: 15px 60px 15px 0;
        position: relative;
        min-height: 170px;

        .actions {
          position: absolute;
          right: 0;
          top: 0;
          height: 100%;
          width: 60px;
          text-align: center;
          display: flex;
          flex-direction: column;
          justify-content: center;
          align-items: center;

          .btn {
            width: 42px;
            height: 42px;
            padding: 0;
            line-height: 44px;
            border-radius: 50%;
            font-size: 26px;
            background-color: $red;

            &.btn-outline-danger {
              margin-top: 5px;
              border-width: 1px;
              background: white;
              color: $red;
            }
          }
        }
      }

      + .card {
        margin-top: 20px;
      }
    }
  }

  .meal-foods {
    display: inline-block;
    max-width: 100%;
    vertical-align: middle;

    [data-class='transition-group'] {
      display: flex;
      //overflow-x: auto;
    }

    .meal-food {
      flex: 0 0 96px;
      width: 96px;

      .meal-food-inner {
        text-align: center;
        padding: 5px;
        background-color: #eee;
        border-radius: 10px;
        height: 100%;
        color: #777;
        cursor: pointer;
        position: relative;
      }

      .ic-status {
        position: absolute;
        top: 5px;
        left: 5px;
        width: 13px;
        color: $green-light;
      }

      .item-image {
        width: 50px;
        height: 50px;
        background-color: white;
        border-radius: 50%;
        margin: auto;
        background-size: cover;
      }

      .item-name {
        width: 100%;
        font-size: 0.8rem;
      }

      + .meal-food {
        margin-right: 10px;
      }

      .item-footer {
        list-style-type: none;
        display: flex;
        font-size: 10px;
        padding: 0;
        margin: 10px 0 0;

        li {
          flex: 0 0 50%;
          width: 50%;

          > span {
            display: block;
            line-height: 12px;

            &:first-child {
              color: $red;
              font-size: 12px;
            }
          }

          &:not(:first-child) {
            position: relative;

            &:before {
              content: '';
              border-right: solid 1px #ccc;
              position: absolute;
              top: 4px;
              bottom: 5px;
              right: 0;
            }
          }
        }
      }

      .cover {
        background-color: rgba(230, 230, 230, 0.93);
        border-radius: inherit;
        padding: 0 10px;
      }

      .retry-save-food {
        display: flex;
        flex-flow: column;
        justify-content: center;
        font-size: 13px;
      }

      .delete-food {
        font-size: 13px;

        > div {
          height: 50%;
          padding: 5px;
          display: flex;
          flex-flow: column;
          justify-content: center;
          align-items: center;

          svg {
            height: 40px;
          }

          &:first-child {
            border-bottom: solid 1px #ccc;
          }
        }

        p {
          margin-top: -5px;
          margin-bottom: 0;
        }
      }
    }
  }
}

.meal-slide-down-enter-active,
.meal-slide-down-leave-active {
  transition: all 0.4s ease;
}

.meal-slide-down-leave-to,
.meal-slide-down-enter {
  opacity: 0;
  transform: scale(1, 0);
}

.meal-food {
  transition: all 0.4s ease;
}

.meal-food-popup-leave-to,
.meal-food-popup-enter {
  opacity: 0;
  transform: scale(0, 0);
}

.add-food-modal {
  .modal-content {
    border-radius: 5px;
    //overflow: hidden;
  }

  .close-modal {
    position: absolute;
    top: 100%;
    left: 50%;
    color: white;
    cursor: pointer;
    width: 40px;
    margin-top: 10px;
    margin-left: -20px;
    border-radius: 50%;
    background-color: $danger;
    padding: 10px;
  }

  .modal-body {
    padding: 0;

    .beh-loading {
      position: relative;

      &:after {
        border-radius: 0;
      }
    }
  }

  .add-food-wrapper {
    display: flex;

    .add-food-tabs {
      flex: 0 0 60%;
      //padding: 10px;
    }

    .add-food-result {
      flex: 0 0 40%;
      max-width: 40%;
      border-right: solid 1px #eee;
      padding: 10px;
      background-color: white;
      border-radius: 5px;

      .empty-text {
        padding: 50px 0;
        text-align: center;
        font-size: 20px;
        color: $gray-400;
      }

      .vue-i-scroll-inner ul li:not(.active) span {
        background-color: #a9a9a9;
        font-weight: 300;
      }

      //.btn-block {
      //  padding-top: 10px;
      //  padding-bottom: 8px;
      //  font-weight: 300;
      //  border-radius: 5px;
      //}
      .button-group {
        display: flex;
        .btn-submit {
          flex-grow: 1;
        }
        .btn {
          padding-top: 10px;
          padding-bottom: 8px;
          font-weight: 300;
          border-radius: 5px;
        }
        .btn-circle {
          border-radius: 50%;
          padding-left: 0;
          padding-right: 0;
          width: 40px;
        }
        .btn-cancel {
          display: none;
        }
      }
    }

    header {
      padding: 10px 20px 0 20px;
      border-top-right-radius: 5px;

      .form-control {
        border: none;
        height: 32px;
      }
    }

    .tabs {
      @include inline-list-table(34px, white, rgba(black, 0.1), 10px, 'span');
      width: 100%;
      margin: 0;

      li {
        span {
          border-radius: 5px 5px 0 0;
          min-width: 80px;
          border-bottom: solid 4px transparent;
        }

        &.active span {
          border-bottom-color: $success;
        }
      }
    }

    .tabs-content {
      height: 400px;
      overflow: auto;
      direction: ltr;

      > .content {
        direction: rtl;
        padding: 10px;

        ul {
          list-style-type: none;
          padding: 0;
          margin: 0;

          li {
            padding: 10px 10px;
            cursor: pointer;

            &:not(:first-child) {
              border-top: solid 1px #eee;
            }

            &:hover {
              background-color: #f7f7f7;
            }

            &.active {
              color: black;
              font-weight: bold;
              background-color: #eceaeb;
              border-radius: 5px;
              position: sticky;
              top: 5px;
              bottom: 5px;
              border-top: 0;

              + li {
                border-top: 0;
              }
            }
          }
        }
      }
    }
  }

  .select-food-details {
    display: flex;
    flex-flow: column;
    justify-content: space-between;
    height: 100%;
  }

  @media screen and (min-width: 840px) {
    .modal-dialog {
      max-width: 800px !important;
    }
  }

  @media screen and (max-width: 400px) {
    .close-modal {
      position: fixed;
      top: auto;
      left: auto;
      width: 40px;
      margin-top: 0;
      margin-left: 0;
      bottom: 10px;
      right: 10px;
      z-index: 10000;
    }
  }

  @media screen and (max-width: 839px) {
    .add-food-wrapper {
      display: block;

      header {
        border-top-left-radius: 5px;
      }

      .empty-text {
        opacity: 0;
      }

      .add-food-result {
        border: none;
        max-width: 100%;
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;

        .button-group {
          .btn-cancel {
            display: inline-block;
          }
        }

        &:not(.active) {
          visibility: hidden;
          opacity: 0;
        }
      }
    }
  }
}

.page-add-activity {
  .meals-list {
    min-height: 184px;
  }
}
